> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getbasalt.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Prompt

> Get a prompt by its slug



## OpenAPI

````yaml GET /prompts/{slug}
openapi: 3.1.0
info:
  title: Basalt API
  description: Basalt API
  version: 0.2.1
servers:
  - url: https://api.getbasalt.ai
    description: Basalt Endpoint API
security:
  - bearerAuth: []
paths:
  /prompts/{slug}:
    get:
      summary: Get a prompt by its slug
      description: Get a prompt by its slug
      parameters:
        - schema:
            type: string
            description: The slug of the prompt to get
            example: my-slug
          required: true
          name: slug
          in: path
        - schema:
            type: string
            description: The version to filter prompts by
            example: 1.0.0
          required: false
          name: version
          in: query
        - schema:
            type: string
            description: The tag to filter prompts by
            example: latest
          required: false
          name: tag
          in: query
      responses:
        '200':
          description: The prompt with all its parameters
          content:
            application/json:
              schema:
                type: object
                properties:
                  warning:
                    type: string
                    description: A warning message
                  prompt:
                    type: object
                    properties:
                      text:
                        type: string
                        description: Can you help me with...
                        example: Hello, how are you?
                      systemText:
                        type: string
                        description: >-
                          You are an AI assistant that helps users with their
                          tasks.
                        example: You are a helpful assistant
                      version:
                        type: string
                        description: The version (snapshot) of the prompt
                        example: 1.0.0
                      tag:
                        type: string
                        description: The tag of the prompt
                        example: latest
                      slug:
                        type: string
                        description: The slug of the prompt
                        example: prompt-slug
                      model:
                        type: object
                        properties:
                          provider:
                            type: string
                            description: The provider of the model
                            example: open-ai
                          client:
                            type: string
                            enum:
                              - open-ai
                              - anthropic
                              - hugging-face
                              - mistral
                              - gemini
                              - azure
                              - bedrock
                              - xai
                              - deepseek
                            description: The client to use the model
                            example: open-ai
                          model:
                            type: string
                            description: The model name
                            example: gpt-4o
                          version:
                            type: string
                            description: The version (snapshot) of the model
                            example: latest
                          parameters:
                            type: object
                            properties:
                              temperature:
                                type: number
                                description: The temperature of the model
                                example: 0.5
                              topP:
                                type: number
                                description: The top P of the model
                                example: 0.5
                              frequencyPenalty:
                                type: number
                                description: The frequency penalty of the model
                                example: 1
                              maxLength:
                                type: number
                                description: The max length of the model
                                example: 100
                              responseFormat:
                                type: string
                                description: The response format of the model
                                example: json_object
                              jsonObject:
                                type: object
                                additionalProperties: {}
                                description: The JSON object of the model
                            required:
                              - maxLength
                              - responseFormat
                        required:
                          - provider
                          - client
                          - model
                          - version
                          - parameters
                        description: The model used to generate the prompt
                        example:
                          provider: open-ai
                          client: open-ai
                          model: gpt-4o
                          version: latest
                          parameters:
                            maxLength: 100
                            temperature: 0.5
                            topP: 0.5
                            responseFormat: json_object
                    required:
                      - text
                      - version
                      - slug
                      - model
                    description: The prompt
                    example:
                      text: Hello, how are you?
                      systemText: You are a helpful assistant
                      version: 1.0.0
                      tag: latest
                      slug: prompt-slug
                      model:
                        provider: open-ai
                        client: open-ai
                        model: gpt-4o
                        version: latest
                        parameters:
                          maxLength: 100
                          temperature: 0.5
                          topP: 0.5
                          responseFormat: json_object
                required:
                  - prompt
        '400':
          description: Bad Request - Invalid query parameters
        '404':
          description: Not found - No prompt found for the given slug
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````